# Kite - Detailed Router

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

- All
- Functions
- Variables
- Enumerations
- Enumerator

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- l
- m
- n
- o
- p
- r
- s
- u
- ~

### - i -

- incInsertState() : RoutingEvent
- incOverlapCost() : TrackElement
- incRipupCount() : DataNegociate
- insert() : Track
- insertInTrack() : Manipulator , SegmentFsm
- invalidate() : TrackElement , TrackSegment , Track
- isBipoint() : TrackElement , TrackSegment
- isBlockage() : TrackElement
- isCaged() : Manipulator
- isCloned() : RoutingEvent
- isCreated() : TrackElement
- isDisabled() : RoutingEvent
- isDogleg() : TrackElement , TrackSegment
- isEmpty() : Session
- isFixed() : TrackElement , TrackSegment , TrackFixedSegment
- isForcedToHint() : RoutingEvent
- isFullBlocked() : SegmentFsm
- isGlobal() : TrackElement , TrackSegment
- isHorizontal() : HorizontalTrack , VerticalTrack , Track , RoutingPlane , TrackElement , TrackSegment , TrackFixedSegment
- isInterrupted() : NegociateWindow
- isInvalidated() : TrackElement
- isLocal() : TrackElement , TrackSegment
- isLocalAssigned() : Track
- isLocked() : TrackElement
- isLooping() : RoutingEventLoop
- isProcessed() : RoutingEvent
- isRipedByLocal() : RoutingEvent
- isRouted() : TrackElement
- isSlackened() : TrackElement , TrackSegment
- isStrap() : TrackSegment , TrackElement
- isTerminal() : TrackSegment , TrackElement
- isUnimplemented() : RoutingEvent
- isValid() : RoutingEvent
- isVertical() : Track , TrackFixedSegment , TrackElement , HorizontalTrack , RoutingPlane , TrackSegment , VerticalTrack